Bug 1544843 - ExternalCA: Installation failed during csr generation with ecc
Summary: ExternalCA: Installation failed during csr generation with ecc
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pki-core
Version: 7.5
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Geetika Kapoor
QA Contact: Asha Akkiangady
Marc Muehlfeld
URL:
Whiteboard:
Depends On:
Blocks: 1587826
TreeView+ depends on / blocked
 
Reported: 2018-02-13 15:39 UTC by Geetika Kapoor
Modified: 2018-10-30 11:06 UTC (History)
3 users (show)

Fixed In Version: pki-core-10.5.9-1.el7
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
: 1587826 (view as bug list)
Environment:
Last Closed: 2018-10-30 11:05:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3195 None None None 2018-10-30 11:06:40 UTC

Comment 3 Matthew Harmsen 2018-02-15 19:58:45 UTC
Since the proposed workaround was successful, it was determined that this bug would be moved to RHEL 7.6 timeframe with a request for the true fix to be included in RHEL 7.5.z.

Comment 4 Matthew Harmsen 2018-05-04 23:54:36 UTC
Per RHEL 7.5.z/7.6/8.0 Triage:  7.6

workaround exists

Comment 7 Christina Fu 2018-06-06 00:36:59 UTC
Wrapping this up so it can be cloned to 7.5z.

Just to recap:  This fix was suggested by Bob (rrelyea@redhat.com), and patch submitted by Geetika (gkapoor).  I claim no credit and assume no blame ;-).

===
commit b0f9a67f4ee61c5ca1f020b0a6accefceb9bbe0b
Author: gkapoor <gkapoor@redhat.com>
Date:   Tue May 29 19:52:15 2018 +0530

    Fix for https://bugzilla.redhat.com/show_bug.cgi?id=1544843
    
    Change-Id: Id8d45bfc804a9f26a1a475cb928cf184975a8f5f
    Signed-off-by: gkapoor <gkapoor@redhat.com>

Comment 12 Geetika Kapoor 2018-08-17 19:38:14 UTC
Test Env:

# rpm -qa pki-ca
pki-ca-10.5.9-5.el7.noarch

Installation logs:


    ==========================================================================
                                INSTALLATION SUMMARY
    ==========================================================================

      The CA subsystem of the 'gkapoor-ecc-audit' instance is still incomplete.

      A CSR for the CA certificate has been generated at:
            /tmp/ca_signing.csr2

      Please obtain the necessary certificate(s) for this subsystem,
      and run installation step two.

    ==========================================================================

Comment 14 errata-xmlrpc 2018-10-30 11:05:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3195


Note You need to log in before you can comment on or make changes to this bug.